summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDarren Tucker <dtucker@zip.com.au>2004-02-29 21:30:05 +1100
committerDarren Tucker <dtucker@zip.com.au>2004-02-29 21:30:05 +1100
commitb099d855d3288f60d397144314f7cb3cd57cf790 (patch)
treec416bfa239096bd0d12fbbeec0d206f2e6618bc5
parent9468ba33a1d1a5fd6258658dee1058500e1082f0 (diff)
- (dtucker) [regress/try-ciphers.sh] Skip acss if not compiled in (eg if we
built with openssl < 0.9.7)
-rw-r--r--ChangeLog4
-rw-r--r--regress/try-ciphers.sh5
2 files changed, 8 insertions, 1 deletions
diff --git a/ChangeLog b/ChangeLog
index 87166a41..ff50281e 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -31,6 +31,8 @@
- dtucker@cvs.openbsd.org 2004/02/28 13:44:45
[regress/try-ciphers.sh]
Test acss too; ok markus@
+ - (dtucker) [regress/try-ciphers.sh] Skip acss if not compiled in (eg if we
+ built with openssl < 0.9.7)
20040226
- (bal) KNF our sshlogin.c even if the code looks nothing like upstream
@@ -836,4 +838,4 @@
- (djm) Trim deprecated options from INSTALL. Mention UsePAM
- (djm) Fix quote handling in sftp; Patch from admorten AT umich.edu
-$Id: ChangeLog,v 1.3269 2004/02/29 09:38:26 dtucker Exp $
+$Id: ChangeLog,v 1.3270 2004/02/29 10:30:05 dtucker Exp $
diff --git a/regress/try-ciphers.sh b/regress/try-ciphers.sh
index 103f410a..15827e25 100644
--- a/regress/try-ciphers.sh
+++ b/regress/try-ciphers.sh
@@ -29,6 +29,9 @@ for c in $ciphers; do
fi
done
+if ! ${SSH} -oCiphers=acss@openssh.org 2>&1 | grep "Bad SSH2 cipher" >/dev/null
+then
+
echo "Ciphers acss@openssh.org" >> $OBJ/sshd_proxy
c=acss@openssh.org
for m in $macs; do
@@ -39,3 +42,5 @@ for m in $macs; do
fail "ssh -2 failed with mac $m cipher $c"
fi
done
+
+fi